## redo-1.5.tar.gz

=== Makefile ===
default: all
%:: FORCE
	+@redo $@
FORCE:
.PHONY: FORCE default

=== debian/changelog ===
redo (1.5) UNRELEASED; urgency=low

  * What OS/2 and Win32 support was there has been removed; this is now a POSIX-only program.
  * redo now handles jobserver options correctly in MAKEFLAGS created by BSD make.
  * A bug has been fixed in the jobserver that was permitting a deadlock condition.
    A running redo now never yields its original slot.
  * redo now takes out a shared lock on prerequisites lists whilst processing them.
  * redo now hashes the targets of symbolic links rather than just looking at their last modification timestamps.

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.com>  Wed, 02 Jul 2025 21:26:59 +0000

redo (1.4) stable; urgency=low

  * Prevented / and pathnames ending in ., .., or an empty pathname component.

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.com>  Sat, 17 Feb 2018 04:54:01 +0000

redo (1.3) stable; urgency=low

  * Allowed REDOFLAGS to contain --jobs.

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.COM>  Sat, 20 Jun 2015 22:05:33 +0100

redo (1.2) stable; urgency=low

  * Corrected a minor annoyance with MAKEFLAGS and BSD make.

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.COM>  Sat, 20 Jun 2015 22:05:33 +0100

redo (1.1) stable; urgency=low

  * Altered the recursion algorithm of redo-ifchange to be more depth-first.
  * Fixed the default.do search to include progressively shorter extensions, per the doco.

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.COM>  Mon, 16 Jan 2013 00:00:00 +0000

redo (1.0) stable; urgency=low

  * first version

 -- Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@NTLWorld.COM>  Mon, 16 Jan 2013 00:00:00 +0000

=== debian/control ===
Source: redo
Section: devel
Priority: optional
Maintainer: Jonathan de Boyne Pollard <J.deBoynePollard-newsgroups@ntlworld.com>
Build-Depends: perl

Package: redo
Architecture: amd64
Depends: ${shlibs:Depends}
Suggests: 
Recommends: 
Description: An implementation of Bernstein's redo proposal

=== debian/rules ===
#!/usr/bin/make -sf

DIR=debian/redo

.PHONY: build binary stage clean create

build:
	package/compile

binary: stage create

create:
	${RM} debian/files debian/substvars
	dpkg-shlibdeps "${DIR}"/usr/local/bin/*
	dpkg-gencontrol -predo -P"${DIR}"
	dpkg -b "${DIR}" ./

stage:
	install -d -m 0755 "${DIR}"/DEBIAN
	package/export "${DIR}"/usr/local/

clean:
	${RM} debian/files debian/substvars
	package/clean
